import { timeInterval as e } from "./interval.js";
//#region ../../node_modules/d3-time/src/year.js
var t = e((e) => {
	e.setMonth(0, 1), e.setHours(0, 0, 0, 0);
}, (e, t) => {
	e.setFullYear(e.getFullYear() + t);
}, (e, t) => t.getFullYear() - e.getFullYear(), (e) => e.getFullYear());
t.every = (t) => !isFinite(t = Math.floor(t)) || !(t > 0) ? null : e((e) => {
	e.setFullYear(Math.floor(e.getFullYear() / t) * t), e.setMonth(0, 1), e.setHours(0, 0, 0, 0);
}, (e, n) => {
	e.setFullYear(e.getFullYear() + n * t);
}), t.range;
var n = e((e) => {
	e.setUTCMonth(0, 1), e.setUTCHours(0, 0, 0, 0);
}, (e, t) => {
	e.setUTCFullYear(e.getUTCFullYear() + t);
}, (e, t) => t.getUTCFullYear() - e.getUTCFullYear(), (e) => e.getUTCFullYear());
n.every = (t) => !isFinite(t = Math.floor(t)) || !(t > 0) ? null : e((e) => {
	e.setUTCFullYear(Math.floor(e.getUTCFullYear() / t) * t), e.setUTCMonth(0, 1), e.setUTCHours(0, 0, 0, 0);
}, (e, n) => {
	e.setUTCFullYear(e.getUTCFullYear() + n * t);
}), n.range;
//#endregion
export { t as timeYear, n as utcYear };
